<div class="container">
  <div class="row border mt-3">
    <div class="col">
      <form>
        <div class="form-group form-inline mt-3">
          {{ "navigation_search" | translate }}:
          <input
            placeholder="{{ 'search_placeholder' | translate }}"
            class="form-control ml-2"
            type="text"
            name="searchTerm"
            [(ngModel)]="Filter"
            (input)="onSearch()"
          />
          <span class="ml-3" *ngIf="loading">{{
            "placeholder_loading" | translate
          }}</span>
        </div>
        <div class="wrapper overflow-auto">
          <table class="table table-striped mt-3 table-min-w">
            <thead>
              <tr>
                <th scope="col">#</th>
                <th *ngFor="let colName of columnsNames; let i = index">
                  <div *ngIf="columnsSort[i]; else elseBlock">
                    <span role="button" (click)="sortBy(colName)"
                      >{{ colName | translate }}
                    </span>
                    <span
                      [innerHTML]="arrow(colName)"
                      class="fw-bold text-danger"
                    ></span>
                  </div>
                  <ng-template #elseBlock>
                    {{ colName | translate }}
                  </ng-template>
                </th>
                <th
                  scope="col"
                  width="270"
                  class="d-flex justify-content-center"
                >
                  {{ "table_actions" | translate }}
                </th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let current of data">
                <td scope="row">
                  {{ current.id }}
                </td>
                <td *ngFor="let column of columns">
                  <app-data-table-column-renderer
                    [data]="current[column.name]"
                    [template]="column.template"
                  ></app-data-table-column-renderer>
                </td>
                <td width="270">
                  <ngbd-modal-focus
                    [urlParam]="url"
                    [id]="current.id!"
                  ></ngbd-modal-focus>
                  <button
                    type="button"
                    class="btn btn-primary ms-2 btn-sm float-end"
                    routerLink="{{ current.id }}"
                  >
                    {{ "table_btn_view" | translate }}
                  </button>
                  <button
                    type="button"
                    class="btn btn-warning ms-2 btn-sm float-end"
                    routerLink="{{ current.id }}/edit"
                  >
                    {{ "table_btn_edit" | translate }}
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>

        <div class="row">
          <div class="col">
            <!-- Pagination Section -->
            <div>
              <ngb-pagination
                [(page)]="Page"
                [pageSize]="PageSize"
                [collectionSize]="total"
                (pageChange)="onPageChange($event)"
              >
                <ng-template ngbPaginationNumber let-page>{{
                  page
                }}</ng-template>
              </ngb-pagination>
            </div>
          </div>
          <div class="col-auto">
            <!-- Page Size Section -->
            <label for="PageSizeSelect">{{ "pageSize" | translate }}</label>
            <select
              id="PageSizeSelect"
              class="custom-select ms-2 me-2 mb-2"
              name="pageSize"
              [(ngModel)]="PageSize"
              (change)="onPageSizeChange()"
            >
              <option [ngValue]="2">2 {{ "table_select" | translate }}</option>
              <option [ngValue]="4">4 {{ "table_select" | translate }}</option>
              <option [ngValue]="6">6 {{ "table_select" | translate }}</option>
              <option [ngValue]="10">
                10 {{ "table_select" | translate }}
              </option>
            </select>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
